LINUX.ORG.RU

Ричард Хьюс об управлении цветом в Linux и GNOME

 , ,


0

2

Новая версия GNOME, до выхода которой осталось чуть меньше недели, появится с жёсткой зависимостью от нового крохотного демона colord, благодаря которому цветоуправляемая печать впервые Просто Работает ©®™.

Для того, чтобы это стало возможно, разработчику GNOME Color Manager и colord Ричарду Хьюсу (Red Hat) пришлось пропатчить CUPS, Ghostscript, foomatic и GTK+. О том, что привело его к созданию colord, как сейчас выглядит управление цветом и подсистема печати в Linux, а также что нас ждёт в будущем, можно почитать в подробном интервью с Ричардом, опубликованном где обычно.

Сам апплет GNOME Color Manager претерпел ряд внешних изменений, но всё так же позволяет ленивым движением мышки создавать качественные цветовые профили для мониторов, принтеров, сканеров и цифровых фотоаппаратов, обеспечивая согласованную цветопередачу между этими устройствами.

Все ближайшие новые версии основных дистрибутивов Linux, включая Ubuntu, Fedora и SUSE, будут выпущены с colord.

>>> Подробности

★★★★★

Проверено: svu ()

AP, ©®™, «опубликованном где обычно» => «сами знаете где» :)

>>пришлось пропатчить CUPS, Ghostscript

Надеюсь, на кеды это никак не повлияет. Правда у меня Debian, мне нечего боятся...

adriano32 ★★★ ()
Ответ на: комментарий от adriano32

Я бы и в кедах от нормальной настройки цветопередачи не отказался, а то на ноутах она обычно по умолчанию настроена через жопу!

Gorthauer ★★★★★ ()
Ответ на: комментарий от artem

Чтобы на мониторе твоей девушки её обработанная тобой фотка выглядела так, как ты задумал, а не как попало. И чтобы на отпечатке она была такой же.

У тебя есть девушка? Ты её фотографируешь? У неё есть компьютер? В чём твой вопрос? :)

AP ★★★★★ ()
Ответ на: комментарий от adriano32

> AP, ©®™,

Спасибо, клипбоард-кун :)

AP ★★★★★ ()

Новость положительная, именно эти, непонятные и, на первый взгляд ненужные, обычному пользователю, штуки и приближают линукс к десктопу.

Ok ()
Ответ на: комментарий от adriano32

> Сообщение удалено post-factum по причине 'Дефолт.'

Экономисты отакуэ? :)

AP ★★★★★ ()

>>пришлось пропатчить CUPS, Ghostscript, foomatic и GTK+.

Под FreeBSD?

>>опубликованном где обычно.

Где?

Pidgin ★★ ()

Речь конечно же идет о gnome3 а не о популярном DE которое, к великому сожалению, перестало развиваться...

o4kapuk ()

Ишо один демон, которого не выпилить, чёрт

coldy ★★ ()

>Я всегда придерживался мнения, что мы должны дать возможность 95% пользователей делать 99% того, что им нужно, потому что у оставшихся 5% всё равно свои собственные настроенные технологические процессы, которые их устраивают. Абсолютное большинство пользователей хочет, чтобы управление цветом просто работало и не приставало к ним со всякой тарабарщиной. Те же, кто на этой тарабарщине говорит как на родном языке, прекрасно справятся с конфигами и чтением манов.

очень хорошо сказал.

вообще новость достойная.

pyometra ★★★★★ ()

>GNOME ...с жёсткой зависимостью на новый крохотный демон colord
Это еще пережить можно. Хуже если у этого colord жесткая зависимость на Gnome.

kernelpanic ★★★★★ ()
Ответ на: комментарий от artem

Как только понадобится распечатать, что-то послоднее календарика, поймешь.

Trieforce ()
Ответ на: комментарий от Trieforce

ну и скольким процентам юзеров это реально нужно? тем более без аппаратного кабилратора и на TN-мониторах?

thevery ★★★★ ()
Ответ на: комментарий от thevery

те кому нужно скажут спасибо, остальные ничего не заметят.

Trieforce ()
Ответ на: комментарий от Trieforce

> те кому нужно скажут спасибо, остальные ничего не заметят.

А как же быть тем несчастным, которые ночами не спят, а всё следят, не забрался ли в систему лишний зловредный демон весом в десять микротонн?

AP ★★★★★ ()

Не работает этот colord ничерта с блобом от нвидии, приходится по-старинке через костыли профили грузить, такие дела.

anonymous ()
Ответ на: комментарий от kernelpanic

>Хуже если у этого colord жесткая зависимость на Gnome.

Я очень удивлюсь, если это не так.

Mystra_x64 ★★★★★ ()
Ответ на: комментарий от kernelpanic

нет, colord — не гнум релайтед, хотя пока что гуй для него есть лишь в GNOME. А ваще — это фридесктопская приблуда, ЕМНИП.

Натыкался на него при попытке собрать 2.1.91, по описанию — меганяшка.

DoctorSinus ★★★★★ ()
Ответ на: комментарий от thevery

Сколько процентов юзеров реально будут использовать линукс, если там нет того, что им нужно?

Ghostwolf ★★★ ()

>Все ближайшие новые версии основных дистрибутивов Linux, включая Ubuntu, Fedora и SUSE, будут выпущены с colord.

Откуда эта информация? И можно на полный список «основных» дистрибутивов посмотреть?

JackYF ★★★★ ()
Ответ на: комментарий от Ghostwolf

у меня вопрос - нахрена оно «жёсткой зависимостью» для всех, если оно надо 1-2% мифических юзеров которые реально не используют линукс (да простят меня художники, речь не о вас)?

dib2 ★★★★ ()
Ответ на: комментарий от dib2

Здесь уже раз так 100500 писали об этом. Colord отвечает не только за принтеры.

Ghostwolf ★★★ ()
Ответ на: комментарий от dib2

BTW, кого это вообще волнует? 1-2% мифических юзеров третьего гнома? :D

Ghostwolf ★★★ ()
Ответ на: комментарий от Ghostwolf

я что-то говорил о принтерах? (кстати, в принтерах это имело бы место, но имею уверенность, что для этого не надо «демон», патчить 100500 либ, и один хрен в Qt работать не будет, насколько я понял)

dib2 ★★★★ ()
Ответ на: комментарий от Ghostwolf

вы серьёзно считаете, что colord - это последнее, чего не хватает в линуксе для обработки фото?

thevery ★★★★ ()
Ответ на: комментарий от Ghostwolf

дык потянут же везде теперь. я просто удивлен, что Поттеринг к делу руку не приложил

dib2 ★★★★ ()
Ответ на: комментарий от Ghostwolf

Сделайте специальный дистр и релиз гнома для художников, артистов, музыкантов, писателей, переводчиков и прочих эстетствующих пидоров с развитым чувством «прекрасного». Но зачем эти заморочки людям, которые используют линукс как технологическую платформу, скажем для расчетов и визуализации?

Jewish_cherry ()

>> крохотный демон colord

Я надеюсь они обошлись без xml и dbus?

sergej ★★★★★ ()

>с жёсткой зависимостью на новый крохотный демон colord

>пришлось пропатчить CUPS, Ghostscript, foomatic и GTK+

означает ли это что свежий гном выйдет с жёсткой зависимостью не только от гтк+, но и от капса, гостскрипта и фуматика?

xsektorx ★★★ ()
Ответ на: комментарий от Jewish_cherry

> Но зачем эти заморочки людям, которые используют линукс как технологическую платформу, скажем для расчетов и визуализации?

А зачем им GNOME?

Cyril ★★ ()
Ответ на: комментарий от Ghostwolf

Я так говорю, потому что

«новые версии основных дистрибутивов Linux, включая Ubuntu, Fedora и SUSE, будут выпущены с colord».

Jewish_cherry ()
Ответ на: комментарий от Cyril

>> Но зачем эти заморочки людям, которые используют линукс как технологическую платформу, скажем для расчетов и визуализации?

>А зачем им GNOME?

праааально, эти люди используют кде, у которого тренд в сторону модульности

З.Ы. визуализация, если ты не понял, происходит на той же тачке, что и расчеты; а еще на той же тачке может происходит печать набранных в техе доков — черная белая, естественно

www_linux_org_ru ★★★★★ ()
Ответ на: комментарий от Jewish_cherry

> Я так говорю, потому что

> «новые версии основных дистрибутивов Linux, включая Ubuntu, Fedora и SUSE, будут выпущены с colord».

Я так думаю, что если некоторые отдельно взятые личности с альтернативным взглядом на нужность или ненужность того или иного компонента внесут достаточную сумму на счета разработчиков - то специально для таких личностей разработчики сделают отдельные дистрибутивы, максимально соответствующие взглядам этих личностей.

Поскольку этого не происходит - разработчики делают так, как надо для их основной целевой аудитории. Которую они определили на основе своего опыта, поступивших запросов и видения будущего своих продуктов. А личности с альтернативными взглядами ноют по форумам, вызывая закономерные вопросы о смысле их нытья.

Cyril ★★ ()
Ответ на: комментарий от Jewish_cherry

Сделайте специальный дистр для людей с ограниченным мировосприятием, что выражается в полном или частичном отсутствии чувства прекрасного :)

Evtomax ()

А кстати, почему именно демон?

kernelpanic ★★★★★ ()
Ответ на: комментарий от DoctorSinus

А список зависимостей у него есть? А то гстример тоже на фридесктопе, а там зависимости бывают оченно нехорошие.

Mystra_x64 ★★★★★ ()
Ответ на: комментарий от dib2

тебе жалко 50 килобайт на винте (да, оно весит меньше мегабайта)

DoctorSinus ★★★★★ ()
Ответ на: комментарий от dib2

> один хрен в Qt работать не будет, насколько я понял

кутешники осилят — будет. Это фридесктоп-тул, not GNOME-related.

DoctorSinus ★★★★★ ()
Ответ на: комментарий от Mystra_x64

у colord особых зависимостей не видел. Вроде — только иксовые либы юзает. Ща даже ради интереса попробую скомпилять его на чистом GNOME 2.

DoctorSinus ★★★★★ ()
Ответ на: комментарий от Mystra_x64

> А то гстример тоже на фридесктопе, а там зависимости бывают оченно нехорошие.

Это надо мантейнерам дебьяна сапогом в лицо потыкать за то, что так любят гнум.

fenris ★★★★ ()
Ответ на: комментарий от www_linux_org_ru

> З.Ы. визуализация, если ты не понял, происходит на той же тачке, что и расчеты; а еще на той же тачке может происходит печать набранных в техе доков — черная белая, естественно

Это ты что-то не понял. Разъясняю - у них до фига альтернатив. И если им так уж жалко ресурсов для маленького демона - можно сидеть на голых X'ах, в конце концов. Если им нужен именно GNOME - то есть четыре выхода:

1. Жрать, что дают;
2. Сделать свой GNOME (со всем причитающимся);
3. Заплатить разработчикам достаточно, чтобы сделали нужный GNOME (со всем причитающимся);
4. Пытаться влиять на процесс разработки; если не получилось -goto 1.

Cyril ★★ ()
Ответ на: комментарий от Mystra_x64

а, вот, не нужно компилять, нашёл на оффсайте:

glib 2.14.0 polkit 0.9

всё.

DoctorSinus ★★★★★ ()
Ответ на: комментарий от JackYF

> Откуда эта информация?

В федоре оно уже начиная с F15, в убунте оно светится в 11.10, про сюзе пишут, цитирую, «openSUSE 12.1 will also have colord as well. It is already in Factory.»

AP ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.